<?php

namespace common\extensions\CustomersRank;

class CustomersRank extends \common\classes\modules\ModuleExtensions {

    public static function getWidgets($type = 'general') {
        if ( !self::allowed() ) return [];

        $widgets = [];
        if ($type == 'account') {
            $widgets[] = ['name' => 'CustomersRank\widgets\ShowRank', 'title' => 'Show Rank', 'description' => '', 'type' => 'account', 'class' => ''];
        }
        return $widgets;
    }
    
    public static function renderCustomerField($id = 0) 
    {
        $rank = \common\extensions\CustomersRank\helpers\Customer::getRank($id);
        return \common\extensions\CustomersRank\Render::widget(['template' => 'customer-field', 'params' => ['rank' => $rank]]);
    }
    
    public static function saveCustomerField($id) 
    {
        $rank = filter_var( \Yii::$app->request->post('rank', ''), FILTER_SANITIZE_STRING);
        $ranksRecord = \common\extensions\CustomersRank\models\Ranks::find()
                ->where(['customers_id' => $id])
                ->one();
        if (!($ranksRecord instanceof \common\extensions\CustomersRank\models\Ranks)) {
            $ranksRecord = new \common\extensions\CustomersRank\models\Ranks();
            $ranksRecord->customers_id = $id;
        }
        $ranksRecord->customer_rank = $rank;
        $ranksRecord->save();
    }
        
}