<?php

namespace common\extensions\CustomersRank;

class Setup extends \common\classes\modules\SetupExtensions {

    public static function getVersionHistory() 
    {
        return [
            '1.0.0' => ['whats_new' => "Customers Rank аirst version"],
        ];
    }

    public static function getDescription()
    {
        return 'This extension allows you to assign ranks to customers';
    }

    public static function getAdminHooks() 
    {
        $path = \Yii::getAlias('@common') . DIRECTORY_SEPARATOR . 'extensions' . DIRECTORY_SEPARATOR . 'CustomersRank' . DIRECTORY_SEPARATOR . 'hooks' . DIRECTORY_SEPARATOR;
        return [
            [
                'sort_order' => 10,
                'page_name' => 'customers/customeredit',
                'page_area' => 'personal-block',
                'extension_file' => $path . 'customers.customeredit.personal-block.tpl',
            ],
            [
                'sort_order' => 20,
                'page_name' => 'customers/customeredit',
                'page_area' => '',
                'extension_file' => $path . 'customers.customeredit.php',
            ],
        ];
    }
    
    public static function install($platform_id, $migrate)
    {
        $migrate->createTableIfNotExists('cr_ranks', [
            'customers_id' => $migrate->primaryKey(),
            'customer_rank' => $migrate->string(32)
        ]);
    }
    
    public static function getDropDatabasesArray()
    {
        return ['cr_ranks'];
    }
 
    public static function getTranslationArray() {
        return [
            'admin/main' => [
                'BOX_CUSTOMERS_RANK' => 'Customers Rank',
            ],
            'extensions/customers-rank' => [
                'CR_NAME' => 'Customer name',
                'CR_RANK' => 'Rank',
                'CR_ACTION' => 'Action'
            ],
        ];
    }
    
    public static function getAdminMenu()
    {
        return [
            [
                'parent' => 'BOX_HEADING_CUSTOMERS',
                'sort_order' => '100',
                'acl_check' => 'CustomersRank,allowed',
                'path' => 'manage-rank',
                'title' => 'BOX_CUSTOMERS_RANK',
            ],
        ];
    }   
    
    public static function getAclArray()
    {
        return ['default' => ['BOX_HEADING_CUSTOMERS', 'BOX_CUSTOMERS_RANK']];
    }

}